Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354304 - virt-manager indefinitely tries to install openssh-askpass by PackageKit
Summary: virt-manager indefinitely tries to install openssh-askpass by PackageKit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1452211 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 06:19 UTC by Robin Lee
Modified: 2017-09-14 20:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-14 20:29:14 UTC


Attachments (Terms of Use)

Description Robin Lee 2016-07-11 06:19:05 UTC
Description of problem:
On a GNOME shell desktop, I try to use virt-manager to connect a QEMU-KVM host by ssh with password. And the system does not have openssh-askpass installed. Then, when connecting, virt-manager instructs PackageKit to install openssh-askpass. But virt-manager does not wait for my interaction with PackageKit. It just triggers indefinitely many PackageKit requests.

Version-Release number of selected component (if applicable):
virt-manager-1.4.0-3.fc24.noarch
PackageKit-1.1.1-3.fc24.x86_64

How reproducible:


Steps to Reproduce:
1. Login a GNOME shell 
2. Make sure openssh-askpass is not installed
3. Start virt-manager
4. Try to connect a remote QEMU-KVM host by ssh with password

Actual results:
virt-manager triggers indefinitely many PackageKit requests.

Expected results:
virt-manager triggers one PackageKit request and wait for me to confirm to install openssh-askpass. And after installation, virt-manager continue to connect the remote ssh.

Additional info:

Comment 1 Fedora End Of Life 2017-07-25 21:43:29 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Cole Robinson 2017-08-03 21:57:35 UTC
Still relevant on f26

Comment 3 Cole Robinson 2017-08-07 19:30:45 UTC
*** Bug 1452211 has been marked as a duplicate of this bug. ***

Comment 4 Cole Robinson 2017-08-08 19:52:03 UTC
This is 'fixed' upstream now by dropping the packagekit offer to install askpass:

commit 9e7426b64f1402396515042c412b8450367458b2
Author: Cole Robinson <crobinso@redhat.com>
Date:   Mon Aug 7 17:41:52 2017 -0400

    engine: Drop offer to install askpass package (bz 1354304)
    
    Dealing with packagekit across desktops and in a consistent
    manner is a pain. This code path is rarely exercised and difficult
    to test, so just fallback to giving a hint error message and
    let the user install if they care.

Comment 5 Fedora Update System 2017-08-13 04:04:19 UTC
virt-manager-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78bdd17f19

Comment 6 Fedora Update System 2017-08-14 21:51:51 UTC
virt-manager-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.